package com.example.testes

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView

class ImageGridAdapter(val imageList: List<BooruImage>) :
    RecyclerView.Adapter<ImageGridAdapter.ViewHolder>() {

    /* Creates and inflates view and return FlowerViewHolder. */
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        val view = LayoutInflater.from(parent.context)
            .inflate(R.layout.image_grid_item, parent, false)
        return ViewHolder(view)
    }

    /* Gets current flower and uses it to bind view. */
    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.bind(imageList[position])
    }

    inner class ViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        private val text: TextView = itemView.findViewById(R.id.text)
        //private val image: ImageView = itemView.findViewById(R.id.image)

        fun bind(image: BooruImage) {
               text.text = image.url
        }
    }

    override fun getItemCount(): Int = imageList.size
}